package org.omg.CosNaming;

import org.omg.CosNaming.NamingContextPackage.NotEmpty;
import org.omg.CosNaming.NamingContextPackage.AlreadyBound;
import org.omg.CosNaming.NamingContextPackage.InvalidName;
import org.omg.CosNaming.NamingContextPackage.CannotProceed;
import org.omg.CosNaming.NamingContextPackage.NotFound;
import org.omg.CORBA.Object;

public interface NamingContextOperations
{
    public abstract void bind(NameComponent[] p0, org.omg.CORBA.Object p1) throws NotFound, CannotProceed, InvalidName, AlreadyBound;
    
    public abstract void bind_context(NameComponent[] p0, NamingContext p1) throws NotFound, CannotProceed, InvalidName, AlreadyBound;
    
    public abstract void rebind(NameComponent[] p0, org.omg.CORBA.Object p1) throws NotFound, CannotProceed, InvalidName;
    
    public abstract void rebind_context(NameComponent[] p0, NamingContext p1) throws NotFound, CannotProceed, InvalidName;
    
    public abstract org.omg.CORBA.Object resolve(NameComponent[] p0) throws NotFound, CannotProceed, InvalidName;
    
    public abstract void unbind(NameComponent[] p0) throws NotFound, CannotProceed, InvalidName;
    
    public abstract void list(int p0, BindingListHolder p1, BindingIteratorHolder p2);
    
    public abstract NamingContext new_context();
    
    public abstract NamingContext bind_new_context(NameComponent[] p0) throws NotFound, AlreadyBound, CannotProceed, InvalidName;
    
    public abstract void destroy() throws NotEmpty;
}
